# $Revision: 1.42 $, $Date: 2006/10/28 22:08:00 $
Summary:	Text-based addressbook program for mutt
Summary(pl):	Tekstowa ksika adresowa dla klienta pocztowego mutt
Name:		abook
Version:	0.5.6
Release:	1
License:	GPL
Group:		Applications/Mail
Source0:	http://dl.sourceforge.net/abook/%{name}-%{version}.tar.gz
# Source0-md5:	87d25df96864a7c507a4965e6d1da49d
Patch0:		%{name}-home_etc.patch
URL:		http://abook.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.14.1
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Abook is a text-based addressbook program designed to use with mutt
mail client.

%description -l pl
Abook to pracujca w trybie tekstowym ksika adresowa zaprojektowana
do uycia z programem pocztowym mutt.

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man[15]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: abook.spec,v $
Revision 1.42  2006/10/28 22:08:00  qboosh
- gettextize (to fix build with recent gettext)

Revision 1.41  2006/10/28 15:36:39  piotrek
- updated to 0.5.6

Revision 1.40  2005/12/25 12:56:56  darekr
- updated to 0.5.5, added %find_lang

Revision 1.39  2005/09/17 10:44:59  arekm
- readline 5.0

Revision 1.38  2005/09/05 07:21:14  adamg
- updated to 0.5.4
- -etc_dir.patch replaced with -home_etc.patch

Revision 1.37  2005/03/23 17:18:06  glen
- dropped SourceX-size

Revision 1.36  2004/10/20 16:43:29  qboosh
- removed redundant cp (automake does it), call autoheader

Revision 1.35  2004/10/20 14:46:12  darekr
- updated to 0.5.3

Revision 1.34  2004/09/10 22:59:55  undefine
- release 3 for AC

Revision 1.33  2004/08/10 17:25:56  averne
- refresh config.sub

Revision 1.32  2004/03/08 14:20:36  adamg
- updated to 0.5.2

Revision 1.31  2003/11/21 22:50:19  areq
- 0.5.1

Revision 1.30  2003/10/08 13:48:02  qboosh
- BR: readline-devel

Revision 1.28  2003/07/13 08:00:09  misi3k
- rel 1
- updated to 0.5.0
- patch0 commented (etc_dir)

Revision 1.27  2003/07/06 23:27:15  blues
- many small fixes, mostly inpired by kloczek

Revision 1.26  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.25  2003/05/25 05:45:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/07 12:22:02  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.23  2003/03/22 20:06:04  juandon
- added home_etc.patch
- Release 3

Revision 1.22  2003/02/25 11:18:19  qboosh
- working Source URL

Revision 1.21  2002/10/09 13:14:16  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.20  2002/09/11 11:53:43  undefine
- back to http source. It works fine with new mirror list(ftp doesn't allow to use pldnotify)

Revision 1.19  2002/06/20 13:01:50  kloczek
- release 2: use new %doc.

Revision 1.18  2002/05/21 23:12:40  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/05/05 11:21:02  ankry
- updated to 0.4.17; STBR

Revision 1.16  2002/05/05 11:04:35  ankry
- ftp Source URL instead of http (prdownloads.sourceforge.net does not seem
  to serve this file)

Revision 1.15  2002/04/29 18:32:14  filon
 - udpated to 0.4.16, STBR

Revision 1.14  2002/04/25 15:41:06  arturs
fixed a small typo

Revision 1.13  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.12  2002/02/23 01:13:37  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:12:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/12/02 16:28:22  kloczek
- updated to 0.4.15,
- removed obsoleted nickquery patch,
- new Source url.

Revision 1.8  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.7  2001/06/08 21:14:03  pawelk
- with this pathc abook's query check can also nick field (depending on config
  file (option mutt_query_nick)
- release = 2

Revision 1.6  2001/04/02 11:00:24  kloczek
- added autoconf, automake to BuildRequires.

Revision 1.5  2001/03/27 19:56:51  mis
- autoupdated to 0.4.12

Revision 1.4  2001/02/22 14:00:39  mikrobi
- pl description added
- url updated

Revision 1.3  2001/01/19 01:42:23  kloczek
- release 2,
- added automake, autoconf to BuildRequires,
- regenerate all automake, autoconf files for allow build correctly
  in automake 1.4b eviroment.

Revision 1.2  2001/01/02 16:45:06  kloczek
- updated to 0.4.11,
- added full Source url,
- few simplifications.

Revision 1.1  2000/10/17 07:45:02  waszi
- initial rpm release
